Page 1 of 2

Question about upgrading from 2.0.6 to 2.0.7

Posted: Wed Mar 17, 2004 3:14 pm
by redfox_wg
Sorry for asking this very insignificant question. I have never upgraded manually before so before I go ahead, I want to make sure that I know what I am planning to do is correct.

If I am upgrading versions specified in the subject, and I have downloaded the changed files. All I need to do is unzip the 2.0.6 to 2.0.7 zip file in the main zip file and then upload all the files in that file to the server in place of the older files?

Is that all there is to it?

Thanks!

Posted: Wed Mar 17, 2004 3:48 pm
by redfox_wg
Anyone?

Posted: Wed Mar 17, 2004 3:51 pm
by bigcitymike
I'm with you. Not sure as well.

Posted: Wed Mar 17, 2004 3:53 pm
by emills01
I came here to pose this exact question...I myself am not running any of the a-d updates...

Posted: Wed Mar 17, 2004 3:55 pm
by GoBieN
I come with a similar question.

If i update to 2.0.7 will my mods still work ? will they be overwritten ?

Re: Question about upgrading from 2.0.6 to 2.0.7

Posted: Wed Mar 17, 2004 4:09 pm
by calrissian
redfox_wg wrote: If I am upgrading versions specified in the subject, and I have downloaded the changed files. All I need to do is unzip the 2.0.6 to 2.0.7 zip file in the main zip file and then upload all the files in that file to the server in place of the older files?
Thanks!


Create a folder on your desktop (name not important)
unzip ALL the files to this folder.

In the folder, you'll see a number of directories, and a number of zip packages....
you must unzip the 2.0.6 -2.0.7 to (preferably) another new folder.

Follow all the other main rules..... and once uploaded, use a web browser and in the address bar. type in....

http://www.yourwebsitename.domainwhatev ... to_207.php

that should be it. aside from then deleting the 2 directories contrib and install.

*****
(you know, i wish people would stop using zip files, its just so much hassle for most people)

Posted: Wed Mar 17, 2004 4:15 pm
by flogger12
If you just overwrite the files on your server with the update files, it WILL overwrite any MODs you have with the original files. Therefore you will have to redo the MODs.

Once you have all the update files loaded, you have to upload the install directory, then in your browser, go to:
yourdomain.com/phpBB2/install/update_to_207.php
after that is finished, then delete the install folder, if you installed the contrib folder, you need to delete it also.


robert

Posted: Wed Mar 17, 2004 4:21 pm
by redfox_wg
Ok, I am still a bit confused. So I will try to put what you guys said into chronological point form:

Assuming vanilla install, no mods, but have theme packs:

1) download changed files zip
2) unzip zip file
3) unzip 206 to 207 zip file in separate directory (if upgrading from 206 to 207)
4) upload the unzipped 206 to 207 zip files to the server and replace older files
5) uploaded all the contents of the /install and /contrib directory onto server
6) run update to 207

Done... is that it?

Posted: Wed Mar 17, 2004 4:24 pm
by GoBieN
redfox_wg wrote: Done... is that it?

I think so, but since i have to redo my mods, i'll wait for an update with more features. A few bug fixes isn't that important to me.

Posted: Wed Mar 17, 2004 4:44 pm
by galadrium
I know you can add a patch that will update without deleting mods. However, I am unsure about how to do this. Anybody?

Posted: Wed Mar 17, 2004 5:04 pm
by bigcitymike
::Sigh::

i understand this is FREE software.

and i'm thankfull.

Please understand that. but what appears to be an easy upgrage, had been anything but easy. I moonlite as an admin running a forum and though i want to learn. but thoses install direction were/are confusing. Now to experienced user it may be easier to discern what to skip and what to read. I want to run a secure board and I want to install this update. But I think i'll wait a bit and watch and read how other finished it.

Again thanks for the free software.

Posted: Wed Mar 17, 2004 5:34 pm
by AdamR
You can use this update that is in MOD format, so you can manually edit the code.

You'll still need to run /install/update_to_207.php to grab the database changes.

http://www.phpbb.com/phpBB/viewtopic.php?t=180813

versions prior to RC-3

Posted: Wed Mar 17, 2004 8:19 pm
by Silver Dragon Breath
Thanks very much for the link to Acid Burn's mod the upgrade, it worked fine, There is just one thing I do not understand and that is this:

After running the /install/update_to_207.php, this message shows up:

..........Update completed........etc...........and:
If you updated from versions prior to RC-3 you must update some entries (in the General Configuration of the board.

Now I have updated from 2.06 to 2.07 and the message I mention above also shows that update has been performed from 2.06 to 2.07.

What is RC-3, I have no idea.........is it in version 2.0.6. too........?

Posted: Wed Mar 17, 2004 8:43 pm
by Drexion
RC-3 is release candidate 3. It is a version before version 2.0.0 (so basically you don't have to pay attention to that line since you were updating from 2.0.6)

Posted: Wed Mar 17, 2004 9:02 pm
by Silver Dragon Breath
Thanks Drexion, that is a relief, I went through board configuration again but just couldn't figure out what had to be changed, now I know all is well, thanks again.